Gentoo Logo

gEDA: Insecure temporary file creation

Content:

1.  Gentoo Linux Security Advisory

Version Information

Advisory Reference GLSA 200903-08 / geda
Release Date March 07, 2009
Latest Revision March 07, 2009: 01
Impact normal
Exploitable local
Package Vulnerable versions Unaffected versions Architecture(s)
sci-electronics/geda < 1.4.0-r1 >= 1.4.0-r1 All supported architectures

Related bugreports: #247538

Synopsis

An insecure temporary file usage has been reported in gEDA, allowing for symlink attacks.

2.  Impact Information

Background

gEDA is an Electronic Design Automation tool used for electrical circuit design.

Description

Dmitry E. Oboukhov reported an insecure temporary file usage within the sch2eaglepos.sh script.

Impact

A local attacker could perform symlink attacks to overwrite arbitrary files with the privileges of the user running the application.

3.  Resolution Information

Workaround

There is no known workaround at this time.

Resolution

All gEDA users should upgrade to the latest version:

Code Listing 3.1: Resolution

# emerge --sync
# emerge --ask --oneshot --verbose ">=sci-electronics/geda-1.4.0-r1"

4.  References



Print

Page updated March 07, 2009

Summary: This is a Gentoo Linux Security Advisory

Security Team
Contact Address

Donate to support our development efforts.

Copyright 2001-2014 Gentoo Foundation, Inc. Questions, Comments? Contact us.